Subject: Re: bug#46803: User manual does not explain Profiles (nor GUIX_PROFILE)

From: Luis Felipe <[email-masked]>
Date: Sat, 27 Feb 2021 18:11:47 +0000

On Friday, February 26, 2021 11:30 PM, Tobias Geerinckx-Rice <[email-masked]> wrote:

> Luis Felipe,
>
> I think that would be very helpful. I'm trying to think of a concise, correct, but actually useful definition of profiles for someone not already familiar with them or Guix.
>
> Out of curiosity: how do you intuitively understand profiles, as someone who's used Guix for a while?

I think I didn't intuitively understand profiles. I think I actually started using them last year (apart from the user profile) after reading the Guix Profiles in Practice recipe, which made things clearer to me (but I don't think I grok the concept).

So, right now, I see a profile like a collection of packages that you can activate/deactivate in your environment by setting the GUIX_PROFILE environment variable and sourcing its profile file.

> Luis Felipe via Bug reports for GNU Guix 写道：
>
> > [...] what is the GUIX_PROFILE variable, does it accept a single
> > path to a profile or more, and some use cases and > examples. [...]
>
> I don't think we should document GUIX_PROFILE. It's not part of the definition of Guix profiles. It should not matter to users nor should they rely on previously observed behaviour. AIUI there are no supported ‘use cases’, beyond copy-pasting Guix error messages...

In the Guix Profiles in Practice recipe, for example, you are instructed to set GUIX_PROFILE and then use it when sourcing the profile. So I thought it deserved an entry in the index, since it is mentioned so often when working with profiles.

I think I was expecting something like:

GUIX_PROFILE
  This is an environment variable that you can set to
  [...]. Its value is an absolute path to a Guix profile.
  See Profiles for more information.

Now I'm confused.. :)